# Author:  Pablo Marti
# Copyright (C) 2006  Warp Networks S.L.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

__version__ = "$Rev: 359 $"

# gtkmvc imports
from gtkmvc import Model
from models.base import SerialConnectionDispatcher

class PreferencesModel(Model, SerialConnectionDispatcher):
    """Model for the preferences window"""
    
    def __init__(self, device):
        Model.__init__(self)
        SerialConnectionDispatcher.__init__(self, device)
    
    def validate_ip(self, ip):
        from utils.utilities import validate_ip as validate_ip_extern
        return validate_ip_extern(ip)
        